[riot-devel] Using Eclipse license in RIOT

Julien Vermillard jvermillard at gmail.com
Wed Sep 2 21:19:26 CEST 2015


This code is dual licensed under EPL *AND* EDL ( a BSD 2 clause) so I don't
see any problem if you pick EDL.

If you have any questions please contact license (at) eclipse.org
Julien

On Wed, Sep 2, 2015 at 11:19 AM Oleg Hahm <oliver.hahm at inria.fr> wrote:

> Hi Alex!
>
> Sorry for the late response.
>
> > I recently included some files [1] from the Eclipse Foundation and was
> > wondering if their License is fully compatible with RIOT and if it's ok
> to
> > just leave the files as they are or must I edit anything ?
>
> According to https://eclipse.org/legal/eplfaq.php code licensed under EPL
> is
> not compatible with any (L)GPL licensed code.
>
> Cheers,
> Oleg
> --
> printk (KERN_ERR "%s: Oops - your private data area is hosed!\n", ...)
>         linux-2.6.6/drivers/net/ewrk3.c
> _______________________________________________
> devel mailing list
> devel at riot-os.org
> https://lists.riot-os.org/mailman/listinfo/devel
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/devel/attachments/20150902/8f0724b3/attachment.html>


More information about the devel mailing list